#!/bin/bash
#set -x

CH_STDP=/opt/mcst/check/stdp
STDP=/opt/mcst/stdp

[ ! -d $CH_STDP/bin ] && [ ! -d $STDP/bin ] && return 0

P2PATH=$STDP
if [ -d $CH_STDP/bin ]; then
	if [ -L $STDP ]; then
		if [ ! `realpath $STDP` = $CH_STDP ]; then
			P2PATH=$CH_STDP
		fi
	else
		if [ -d $STDP ]; then
			P2PATH=$CH_STDP
		else
			(cd /opt/mcst; rm -rf stdp; ln -s check/stdp stdp)
		fi
	fi
fi

P2PATH=$P2PATH/bin

if ! echo ${PATH} | /bin/grep -q $P2PATH ; then
    export PATH=${PATH}:$P2PATH
fi
