#pragma ident	"@(#)mpv_pl.c 1.1	98/05/27 MCST"


#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <poll.h>
#include <sys/ioctl.h>

#include <linux/mcst/mpv_io.h>

static void
do_pl(int fd, int polar)
{
	if (ioctl(fd, MPVIO_SET_POLAR, polar) != 0) {
		(void) printf(
			"Failed ioctl(MPVIO_SET_POLAR): %s\n",
			strerror(errno));
	}
}

int
main(int argc, char *argv[])
{
	char	*inst, *chan;
	int	polar;
	int	fd;
	char	name[128];

	inst = argv[1];
	chan = argv[2];
	polar = atoi(argv[3]);

	(void) sprintf(name, "/dev/mpv/mpv_%s_in:%s", inst, chan);
	(void) printf("Test on %s\n", name);
	fd = open(name, O_RDWR);
	if (fd < 0) {
		(void) printf(
			"Failed open(%s): %s\n",
			name, strerror(errno));
		return (-1);
	}

	do_pl(fd, polar);

	(void) close(fd);

	return (0);
}
